osl::eval::ml::NoPawnOnStand Class Reference

`#include <minorPiece.h>`

## Public Types

enum | { DIM = 1 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &state, int black_pawn_count)

## Static Private Attributes

static MultiInt | weight

## Detailed Description

Definition at line 480 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 483 of file minorPiece.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::NoPawnOnStand::eval | ( | const NumEffectState & | state,
|  | int | black_pawn_count )

inline static

Definition at line 488 of file minorPiece.h.

References osl::BLACK, osl::SimpleState::hasPieceOnStand(), osl::PAWN, weight, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## setUp()

void osl::eval::ml::NoPawnOnStand::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 203 of file minorPiece.cc.

References osl::eval::ml::Weights::value(), and weight.

## Member Data Documentation

## weight

osl::MultiInt osl::eval::ml::NoPawnOnStand::weight

static private

Definition at line 485 of file minorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc